## org.apache.lucene.search.regex
Class RegexTermEnum

    java.lang.Object
      org.apache.lucene.index.TermEnum
          org.apache.lucene.search.FilteredTermEnum
              org.apache.lucene.search.regex.RegexTermEnum

    public class RegexTermEnum

extends org.apache.lucene.search.FilteredTermEnum

Subclass of FilteredTermEnum for enumerating all terms that match the specified regular expression term using the specified regular expression implementation.

Term enumerations are always ordered by Term.compareTo(). Each term in the enumeration is greater than all that precede it.

Field Summary

Fields inherited from class org.apache.lucene.search.FilteredTermEnum
`actualEnum, currentTerm`

Constructor Summary
`RegexTermEnum(org.apache.lucene.index.IndexReader reader, org.apache.lucene.index.Term term, RegexCapabilities regexImpl)`

Method Summary
`void` `close()`
`float` `difference()`
`boolean` `endEnum()`
`protected boolean` `termCompare(org.apache.lucene.index.Term term)`

Methods inherited from class org.apache.lucene.search.FilteredTermEnum
`docFreq, next, setEnum, term`

Methods inherited from class org.apache.lucene.index.TermEnum
`skipTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegexTermEnum

    public RegexTermEnum(org.apache.lucene.index.IndexReader reader,
                         org.apache.lucene.index.Term term,
                         RegexCapabilities regexImpl)
                  throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### termCompare

    protected final boolean termCompare(org.apache.lucene.index.Term term)

  Specified by:
    `termCompare` in class `org.apache.lucene.search.FilteredTermEnum`

### difference

    public final float difference()

  Specified by:
    `difference` in class `org.apache.lucene.search.FilteredTermEnum`

### endEnum

    public final boolean endEnum()

  Specified by:
    `endEnum` in class `org.apache.lucene.search.FilteredTermEnum`

### close

    public void close()
               throws java.io.IOException

  Overrides:
    `close` in class `org.apache.lucene.search.FilteredTermEnum`
  Throws:
    `java.io.IOException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.